View Issue Details

IDProjectCategoryView StatusLast Update
0001131SymmetricDSBugpublic2014-02-02 20:53
ReportergwilmerAssigned Togwilmer 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.3.5 
Target Version3.3.6Fixed in Version3.3.6 
Summary0001131: NPE in conflict resolution when detecting a conflict using TIMESTAMP and existing row doesn't exist
DescriptionNPE in conflict resolution when detecting a conflict using TIMESTAMP and existing row doesn't exist.

If you are using TIMESTAMP detection in conflict resolution, and you get an UPDATE from the source to the destination, and the destination doesn't contain the row, the conflict resolution code throws a null pointer exception.
Steps To Reproduce1. Set up a table to sync on insert, update (not delete)
2. Set up conflict resolution on the table with TIMESTAMP detection
3. Insert a row at the source and let it flow to the destination
4. Delete the row from the destination
5. Update the row on the client

Conflict will occur when trying to update the destination and throw NPE
TagsNo tags attached.

Activities

chenson

2013-04-03 07:53

administrator   ~0000246

Ready for release

Related Changesets

SymmetricDS: master 1b4d57a9

2013-03-21 18:02:10

gwilmer

Details Diff
Merge branch fix for Issue 1131.
0001131
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/DefaultDatabaseWriterConflictResolver.java Diff File

Issue History

Date Modified Username Field Change
2013-03-21 17:28 gwilmer New Issue
2013-03-21 17:28 gwilmer Status new => assigned
2013-03-21 17:28 gwilmer Assigned To => gwilmer
2013-03-21 17:33 gwilmer Target Version 3.3.5 => 3.3.6
2013-03-22 12:24 chenson Status assigned => resolved
2013-03-22 12:24 chenson Fixed in Version => 3.3.6
2013-03-22 12:24 chenson Resolution open => fixed
2013-03-22 12:24 chenson Product Version => 3.3.5
2013-04-03 07:53 chenson Note Added: 0000246
2013-04-03 07:53 chenson Status resolved => closed
2014-02-02 20:53 gwilmer Changeset attached => SymmetricDS 3.3 r6991
2014-02-02 20:53 gwilmer Changeset attached => SymmetricDS trunk r6992
2015-07-30 21:49 gwilmer Changeset attached => SymmetricDS master 1b4d57a9